## ----DEA_one_pack, echo=TRUE, results="hide", message=FALSE, warning=FALSE----
library(ExpHunterSuite)
data(toc)
data(target)
degh_out_one_pack <- main_degenes_Hunter(raw=toc, 
                                         target=target,
                                         modules="D") # D for DESeq2

## ----input_data, echo=TRUE, results="as.is", message=FALSE, warning=FALSE-----
head(toc)
head(target)

## ----input_files, echo=TRUE, results="as.is"----------------------------------
system.file("extData", "table_of_counts.txt", package = "ExpHunterSuite")
system.file("extData", "target.txt", package = "ExpHunterSuite")

## ----DEA_multi_pack, echo=TRUE, results="hide", message=FALSE, warning=FALSE----
degh_out_multi_pack <- main_degenes_Hunter(raw=toc, 
                                    target=target, 
                                    modules="DEL") # D:DESeq2 E:EdgeR, L:limma

## ----standard_DEA_results, echo=TRUE------------------------------------------
head(degh_out_multi_pack$DE_all_genes)

## ----standard_DEA_model_target, echo=TRUE, results="as.is"--------------------
target_multi <- data.frame(target,
  age_group = c("adult", "child", "adult", "child", "adult", "adult", "child"))
target_multi

## ----standard_DEA_model_execute, results="hide", message=FALSE, warning=FALSE----
degh_out_model <- main_degenes_Hunter(raw=toc, target=target_multi, 
                                      modules="D", model_variables="age_group")

## ----standard_CEA, results="hide", message=FALSE, warning=FALSE---------------
degh_out_coexp <- main_degenes_Hunter(raw=toc, target=target_multi, 
                                      modules="DW", string_factors="age_group")

## ----standard_FA, results="as.is",  eval=FALSE--------------------------------
#  fh_out_one_pack <- functional_hunter( #Perform enrichment analysis
#          degh_out_one_pack,
#          'Mouse', # Use specified organism database
#          func_annot_db = "gKR", # Enrichment analysis for GO, KEGG and Reactome
#          GO_subont = "BMC",
#          analysis_type= "o" # Use overepresentation analysis only (Not GSEA)
#  )
#  fh_out_coexp <- functional_hunter( # Perform enrichment analisys
#          degh_out_coexp,
#          'Mouse', # Use specified organism database
#          func_annot_db = "gKR", # Enrichment analysis for GO, KEGG and Reactome
#          GO_subont = "BMC",
#          analysis_type= "o" # Use overepresentation analysi only (Not GSEA)
#  )

## ----write_reports, echo=TRUE, eval=FALSE-------------------------------------
#  print(getwd())
#  write_expression_report(exp_results=degh_out_coexp)
#  write_enrich_files(func_results=fh_out_one_pack)
#  write_functional_report(hunter_results=degh_out_coexp,
#                          func_results=fh_out_coexp)

## ----input_files_cl, echo=TRUE, results="hide"--------------------------------
input_toc <- system.file("extdata", "table_of_counts.txt", 
                         package = "mypackage")
input_toc
input_target <- system.file("extdata", "target.txt", package = "mypackage")
input_target

